#
# spec file for package spotify-installer
#
# Copyright (c) 2012 Adam Spiers
#

Name:           spotify-installer
%ifarch x86_64
Version:        0.9.17.8.gd06432d.31
%define spotify_major 0.9.17
%define spotify_release 1
%define spotify_arch amd64
%else
Version:        0.9.4.183.g644e24e.428
%define spotify_release 1
%define spotify_arch i386
%endif
Release:        5.2
License:        MIT
Summary:        Installer for Spotify desktop client
Url:            https://github.com/aspiers/opensuse-spotify-installer/
Group:          Productivity/Multimedia/Sound/Players
Source0:        spotify-client.spec
Source1:        install-spotify.sh
Source2:        README.md
Requires:       sudo
BuildRequires:  python-Markdown
#BuildArch:      noarch
Recommends:     brp-check-suse

%define specdir /usr/src/packages/SPECS

%description
This is an automatic installer for the Spotify desktop client for
Linux, which circumvents the redistribution restrictions on the client
by:

  - downloading the .deb from spotify.com
  - installing required dependencies
  - building an rpm
  - installing the rpm

The process is intended to be as user-friendly as possible.

%prep

%build
markdown_py -o html5 %{SOURCE2} > README.html

%install
install -D -m 644 %{SOURCE0}  %{buildroot}%{specdir}/spotify-client.spec
install -D -m 755 %{SOURCE1}  %{buildroot}%{_bindir}/install-spotify
install -d                    %{buildroot}%{_docdir}/%{name}
install -D -m 755 README.html %{buildroot}%{_docdir}/%{name}

# write the version numbers from this RPM in the spec file and installer
sed -i -e '/^Version:/s/\(Version: *\).*/\1 %{version}/' \
       -e '/^Release/s/\(Release: *\).*/\1 %{spotify_release}/' \
       -e '/^Source0:/s/\(Source0: *\).*/\1 spotify-client-%{spotify_major}_%{version}-%{spotify_release}_%{spotify_arch}.deb/' \
  %{buildroot}%{specdir}/spotify-client.spec
sed -i -e '/^VERSION=/s/\(VERSION=\).*/\1\"%{version}-%{spotify_release}\"/' \
  %{buildroot}%{_bindir}/install-spotify

%files
%defattr(-,root,root)
%{specdir}/*
%{_bindir}/*
%doc README.html

%changelog
* Mon Jun  8 2015 fisiu@opensuse.org
- Update to 0.9.17.8.gd06432d.31-1.
* Sun Nov 16 2014 obs@botter.cc
- bump version number to 0.9.11.27.g2b1a638.81 for x86_64
- modify to-be-installed spec file and install script to reflect
  version numbers
- build package as arch-dependent, as d/l deb files are different
  versions for each arch
* Fri Mar 21 2014 obs@botter.cc
- fix version number in spotify-client.spec
* Thu Oct 10 2013 obs@botter.cc
- 0.9.1.55.gbdd3b79.203
* Sat Jan  5 2013 Adam Spiers <spotify-on-opensuse@adamspiers.org> 
- 0.8.8.323.gd143501.250-2
  * update README
  * add Requires: sudo
* Sat Jan  5 2013 Adam Spiers <spotify-on-opensuse@adamspiers.org> 
- 0.8.8.323.gd143501.250-1
  * first version
